/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for BreastImagingProcedureReported
 */
public enum EnumCV_BreastImagingProcedureReported 
{
	//TID 4201 Breast Imaging Procedure Reported
	PROCEDURE_REPORTED_121058("121058"),
	PROCEDURE_MODIFIER_111464("111464"),
	LATERALITY_G_C171("G-C171"),
	REASON_FOR_PROCEDURE_111401("111401"),
	RELATIVE_TIME_G_D709("G-D709"),
	CLINICAL_FINDING_111402("111402"),
	STUDY_DATE_111060("111060");

	private String value;
	
	EnumCV_BreastImagingProcedureReported(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
